aim4.driver

## Enum AutoV2VDriver.State

- java.lang.Object
- - java.lang.Enum<AutoV2VDriver.State>
  - - aim4.driver.AutoV2VDriver.State

- All Implemented Interfaces:
    Serializable, Comparable<AutoV2VDriver.State>
  Enclosing class:
    AutoV2VDriver

      public static enum AutoV2VDriver.State
      extends Enum<AutoV2VDriver.State>

  Potential states that a CoordinatingDriverAgent can be in. This is one aspect of how the two subagents, the Pilot and the Coordinator, communicate.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ANALYZING_INTERSECTION_MANAGEMENT` The agent has not yet initiated communication with the IntersectionManager and is determining what kind of management is present at the intersection.
    `CRUISING` There was no intersection detected ahead - might just be too far.
    `V2V_CALCULATING_CLAIM` The agent is preparing to broadcast a CLAIM message.
    `V2V_CLAIMED` The agent is still broadcasting a CLAIM message, and has broadcast it long enough to cross the intersection safely.
    `V2V_CLAIMING` The agent is broadcasting a CLAIM message, but has not broadcast it long enough to cross the intersection safely.
    `V2V_LURKING` The agent is silently listening to the CLAIM messages of other vehicles nearing the intersection.
    `V2V_TRAVERSING` The agent is traversing the intersection in accordance with its CLAIM message.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AutoV2VDriver.State` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AutoV2VDriver.State[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ANALYZING_INTERSECTION_MANAGEMENT

          public static final AutoV2VDriver.State ANALYZING_INTERSECTION_MANAGEMENT

      The agent has not yet initiated communication with the IntersectionManager and is determining what kind of management is present at the intersection.

    - #### CRUISING

          public static final AutoV2VDriver.State CRUISING

      There was no intersection detected ahead - might just be too far.

    - #### V2V_LURKING

          public static final AutoV2VDriver.State V2V_LURKING

      The agent is silently listening to the CLAIM messages of other vehicles nearing the intersection.

    - #### V2V_CALCULATING_CLAIM

          public static final AutoV2VDriver.State V2V_CALCULATING_CLAIM

      The agent is preparing to broadcast a CLAIM message.

    - #### V2V_CLAIMING

          public static final AutoV2VDriver.State V2V_CLAIMING

      The agent is broadcasting a CLAIM message, but has not broadcast it long enough to cross the intersection safely.

    - #### V2V_CLAIMED

          public static final AutoV2VDriver.State V2V_CLAIMED

      The agent is still broadcasting a CLAIM message, and has broadcast it long enough to cross the intersection safely.

    - #### V2V_TRAVERSING

          public static final AutoV2VDriver.State V2V_TRAVERSING

      The agent is traversing the intersection in accordance with its CLAIM message.

  - ### Method Detail

    - #### values

          public static AutoV2VDriver.State[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AutoV2VDriver.State c : AutoV2VDriver.State.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AutoV2VDriver.State valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013. All rights reserved.